Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.plugins.javascript
Class JScriptHelp

    java.lang.Object
      ru.biosoft.plugins.javascript.JScriptHelp

public class JScriptHelp
extends java.lang.Object

Field Summary
`static java.lang.String` | `ARGUMENT_ELEMENT`
`static java.lang.String` | `CODE_ATTR`
`static java.lang.String` | `DESCRIPTION_ATTR`
`static java.lang.String` | `EXAMPLE_ELEMENT`
`static java.lang.String` | `FUNCTION_ELEMENT`
`protected static java.util.HashMap` | `helpMap`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `NAME_ATTR`
`static java.lang.String` | `OBLIGATORY_ATTR`
`static java.lang.String` | `PROPERTY_ELEMENT`
`static java.lang.String` | `READ_ONLY_ATTR`
`static java.lang.String` | `RETURNS_ELEMENT`
`static java.lang.String` | `THROWS_ELEMENT`
`static java.lang.String` | `TYPE_ATTR`

Constructor Summary
`JScriptHelp()`

Method Summary
`static java.lang.String` | `getHelpValue(java.lang.Object scriptable)`
`static void` | `readFunctionInfo(FunctionInfo info, org.mozilla.javascript.Scriptable scope, org.eclipse.core.runtime.IConfigurationElement docElement)`
`static void` | `readFunctionInfo(FunctionInfo info, org.mozilla.javascript.Scriptable scope, org.eclipse.core.runtime.IConfigurationElement[] elements)`
`static void` | `readHostObjectInfo(HostObjectInfo info, org.mozilla.javascript.Scriptable host, org.eclipse.core.runtime.IConfigurationElement element)`
`static void` | `readPropertyInfo(PropertyInfo info, org.mozilla.javascript.Scriptable scope, org.eclipse.core.runtime.IConfigurationElement element)`
`static void` | `setHelpValue(java.lang.Object scriptable, java.lang.String help)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### PROPERTY_ELEMENT

    public static final java.lang.String PROPERTY_ELEMENT

See Also:
  Constant Field Values

### FUNCTION_ELEMENT

    public static final java.lang.String FUNCTION_ELEMENT

See Also:
  Constant Field Values

### ARGUMENT_ELEMENT

    public static final java.lang.String ARGUMENT_ELEMENT

See Also:
  Constant Field Values

### RETURNS_ELEMENT

    public static final java.lang.String RETURNS_ELEMENT

See Also:
  Constant Field Values

### THROWS_ELEMENT

    public static final java.lang.String THROWS_ELEMENT

See Also:
  Constant Field Values

### EXAMPLE_ELEMENT

    public static final java.lang.String EXAMPLE_ELEMENT

See Also:
  Constant Field Values

### NAME_ATTR

    public static final java.lang.String NAME_ATTR

See Also:
  Constant Field Values

### TYPE_ATTR

    public static final java.lang.String TYPE_ATTR

See Also:
  Constant Field Values

### READ_ONLY_ATTR

    public static final java.lang.String READ_ONLY_ATTR

See Also:
  Constant Field Values

### DESCRIPTION_ATTR

    public static final java.lang.String DESCRIPTION_ATTR

See Also:
  Constant Field Values

### OBLIGATORY_ATTR

    public static final java.lang.String OBLIGATORY_ATTR

See Also:
  Constant Field Values

### CODE_ATTR

    public static final java.lang.String CODE_ATTR

See Also:
  Constant Field Values

### helpMap

    protected static java.util.HashMap helpMap

Constructor Detail

### JScriptHelp

    public JScriptHelp()

Method Detail

### getHelpValue

    public static java.lang.String getHelpValue(java.lang.Object scriptable)
                                         throws org.mozilla.javascript.PropertyException

  Throws:
    `org.mozilla.javascript.PropertyException`

### setHelpValue

    public static void setHelpValue(java.lang.Object scriptable,
                                    java.lang.String help)
                             throws org.mozilla.javascript.PropertyException

  Throws:
    `org.mozilla.javascript.PropertyException`

### readHostObjectInfo

    public static void readHostObjectInfo(HostObjectInfo info,
                                          org.mozilla.javascript.Scriptable host,
                                          org.eclipse.core.runtime.IConfigurationElement element)

### readPropertyInfo

    public static void readPropertyInfo(PropertyInfo info,
                                        org.mozilla.javascript.Scriptable scope,
                                        org.eclipse.core.runtime.IConfigurationElement element)

### readFunctionInfo

    public static void readFunctionInfo(FunctionInfo info,
                                        org.mozilla.javascript.Scriptable scope,
                                        org.eclipse.core.runtime.IConfigurationElement[] elements)

### readFunctionInfo

    public static void readFunctionInfo(FunctionInfo info,
                                        org.mozilla.javascript.Scriptable scope,
                                        org.eclipse.core.runtime.IConfigurationElement docElement)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.